package com.fs.qywx.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 标签对象 qywx_tag
 *
 * @author fs
 * @date 2023-08-02
 */
public class QywxTag extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 标签id */
    @Excel(name = "标签id")
    private String tagId;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 0 标签组 1标签 */
    @Excel(name = "0 标签组 1标签")
    private Long type;

    /** 排序 */
    @Excel(name = "排序")
    private String order;

    /** 企业id */
    @Excel(name = "企业id")
    private String corpId;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setTagId(String tagId)
    {
        this.tagId = tagId;
    }

    public String getTagId()
    {
        return tagId;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }
    public void setType(Long type)
    {
        this.type = type;
    }

    public Long getType()
    {
        return type;
    }
    public void setOrder(String order)
    {
        this.order = order;
    }

    public String getOrder()
    {
        return order;
    }
    public void setCorpId(String corpId)
    {
        this.corpId = corpId;
    }

    public String getCorpId()
    {
        return corpId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("tagId", getTagId())
            .append("name", getName())
            .append("type", getType())
            .append("order", getOrder())
            .append("corpId", getCorpId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
